Package org.apache.sysds.runtime.controlprogram.parfor.opt

# Class OptTreePlanMapping

java.lang.Object
org.apache.sysds.runtime.controlprogram.parfor.opt.OptTreePlanMapping

public class OptTreePlanMapping extends Object

## Constructor Summary

Constructors
Constructor
Description
`OptTreePlanMapping()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Hop`
`getMappedHop(long id)`
`long`
`getMappedParentID(long id)`
`Object[]`
`getMappedProg(long id)`
`ProgramBlock`
`getMappedProgramBlock(long id)`
`OptNode`
`getOptNode(long id)`
`Object[]`
`getRootProgram()`
`long`
`putHopMapping(Hop hops, OptNode n)`
`long`
`putProgMapping(StatementBlock sb, ProgramBlock pb, OptNode n)`
`void`
`putRootProgram(DMLProgram prog, Program rtprog)`
`void`
`replaceMapping(ProgramBlock pb, OptNode n)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OptTreePlanMapping

public OptTreePlanMapping()

## Method Details

### getOptNode

public OptNode getOptNode(long id)

### getMappedParentID

public long getMappedParentID(long id)

### putRootProgram

public void putRootProgram(DMLProgram prog, Program rtprog)

### putHopMapping

public long putHopMapping(Hop hops, OptNode n)

### putProgMapping

public long putProgMapping(StatementBlock sb, ProgramBlock pb, OptNode n)

### getRootProgram

public Object[] getRootProgram()

### getMappedHop

public Hop getMappedHop(long id)

### getMappedProg

public Object[] getMappedProg(long id)

### getMappedProgramBlock

public ProgramBlock getMappedProgramBlock(long id)

### replaceMapping

public void replaceMapping(ProgramBlock pb, OptNode n)

### clear

public void clear()